Subject: npds Digest V1 #7

From: Listar <nospam_listar_at_ml.free_dot_fr>
Date: Tue, 31 Oct 2000 03:21:59 +0100 (CET)

<x-charset x-mac-text>------------------------------------
npds Digest	Mon, 30 Oct 2000	Volume: 01  Issue: 007

In This Issue:
		[NPDS] Problems with the tracker?
		[NPDS] Re: Problems with the tracker?
		[NPDS] Re: Problems with the tracker?

----------------------------------------------------------------------

From: "David Drew" <nospam_david_at_hydrowash.com_dot_au>
Subject: [NPDS] Problems with the tracker?
Date: Tue, 31 Oct 2000 09:15:24 +1100

Hi,
  This morning I decided to put my newton server up on the web. It naturally
went to register with the tracker (130.126.50.66). Everything seemed fine,
yet when I went to the tracker page, the server wasn't listed there, even
after a few retries with both the page, and the tracker client.

  I'm using the same settings that I've used previously, and it worked fine
then. Is anyone else having this problem?

Thanks,
David Drew

------------------------------

From: "David Drew" <nospam_david_at_hydrowash.com_dot_au>
Subject: [NPDS] Re: Problems with the tracker?
Date: Mon, 30 Oct 2000 09:35:09 +1100

Hi,
  Ignore last message. Tracker seems to be working now.

thanks,
David Drew.

------------------------------

Date: Mon, 30 Oct 2000 23:29:37 +0100
From: Paul Guyot <nospam_pguyot_at_kallisys_dot_net>
Subject: [NPDS] Re: Problems with the tracker?

>   This morning I decided to put my newton server up on the web. It naturally
>went to register with the tracker (130.126.50.66). Everything seemed fine,
>yet when I went to the tracker page, the server wasn't listed there, even
>after a few retries with both the page, and the tracker client.
>
>   I'm using the same settings that I've used previously, and it worked fine
>then. Is anyone else having this problem?

The problem was apparently caused by a bug in the tracker which 
blocks it. (somehow related to REALBasic according to Matt).

Anyway, I have just restarted the tracker. I should say it is the 
very first time I do that, and it was successful. It even remembers 
who was in the list. Nice job Matt.

BTW, you can tell if the tracker is down or not: when you try to 
register manually, if the tracker client is closed automatically, it 
wasn't able to connect to the server. This can have two causes: the 
tracker is down or NPDS/Something else but very probably NPDS 
scrambled your internet connection. (to ensure that the tracker was 
down, I telnet to the tracker and ask for the ABOUT command).

The client currently doesn't tell about the server's status and the 
command result.

Another cause for being unregistered is when you are unreachable for 
too long. This happens when NPDS scrambles the connection, you 
provided a bad IP/name, the connection gets broken.

If you upgraded to the latest suite (130.126.50.66/npds/current), 
there is a bug which disconnects your Newton. (in fact, there are two 
bugs and enabling DNS lookup worsen the problem). I'll fix that ASAP 
(it means redesigning the interaction between the modules), but 
currently, I'm working on another bug tracking project.

Regards,

Paul
-- 
Attention, nouvelle adresse.
New address, please update.

------------------------------

End of npds Digest V1 #7
************************

</x-charset>